## gcc-9 9.4.0

=== gcc/gm2/ulm-lib-gm2/sys/Makefile ===
# Copyright (C) 2005 Free Software Foundation, Inc.
# This file is part of GNU Modula-2.
#
# GNU Modula-2 is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
# 
# GNU Modula-2 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with gm2; see the file COPYING.  If not, write to the Free Software
# Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

test: force
	gm2 -Wulm -g -c test.mod
	gm2 -Wulm -g test.mod
	emacs .gdbinit

force:

=== debian/changelog ===
gcc-9 (9.4.0-1ubuntu1~20.04.3) focal-proposed; urgency=medium

  * SRU: LP: #2029910, move libtsan_preinit.o into libgcc-9-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Sep 2023 07:45:40 +0200

gcc-9 (9.4.0-1ubuntu1~20.04.2) focal-proposed; urgency=medium

  * SRU: LP: #1994020, backport PR target/105162 (AArch64).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Oct 2022 11:28:06 +0200

gcc-9 (9.4.0-1ubuntu1~20.04.1) focal-proposed; urgency=medium

  [ Corey Bryant ]
  * SRU: LP: #1964260. Fix PR target/100985, regression introduced
    with the previous upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 18:57:24 +0100

gcc-9 (9.4.0-1ubuntu1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1930125. Update to the GCC 9.4.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Jun 2021 13:16:34 +0200

gcc-9 (9.4.0-1ubuntu1) impish; urgency=medium

  * GCC 9.4.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Jun 2021 12:03:08 +0200

gcc-9 (9.4.0-1) unstable; urgency=medium

  * GCC 9.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Jun 2021 11:54:15 +0200

gcc-9 (9.3.0-26ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 May 2021 14:01:18 +0200

gcc-9 (9.3.0-26) experimental; urgency=medium

  * GCC 9.4.0 release candidate 2.
  * Update to git 20210527 from the gcc-9 branch.
    - Fix PR c++/97938, PR c++/52625, PR c++/80456, PR sanitizer/100379,
      PR c++/100797, PR c++/95719.
  * Drop the PR bootstrap/87338 patch, applied upstream.

 -- Matthias Klose <doko@debian.org>  Fri, 28 May 2021 13:52:31 +0200

gcc-9 (9.3.0-25ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 May 2021 10:26:14 +0200

gcc-9 (9.3.0-25) experimental; urgency=medium

  * GCC 9.4.0 release candidate.
  * Update to git 20210519 from the gcc-9 branch.
    - Fix PR target/97865 (Darwin), PR target/44107 (Darwin),
      PR target/48097 (Darwin), PR tree-optimization/92608, PR bootstrap/87338,
      PR target/100182 (x86), PR tree-optimization/99954,
      PR rtl-optimization/99929, PR target/98136 (AArch64),
      PR rtl-optimization/96796, PR tree-optimization/98302,
      PR middle-end/95694, PR c++/95719, PR fortran/100154,
      PR target/98952 (PPC), PR libstdc++/100259, PR target/99988 (AArch64),
      PR target/99037 (AArch64), PR target/100441 (AArch64),
      PR rtl-optimization/100225, PR rtl-optimization/84878,
      PR target/100402 (x86), PR rtl-optimization/100263,
      PR tree-optimization/98786, PR rtl-optimization/100230,
      PR tree-optimization/100053, PR rtl-optimization/98144,
      PR target/100375 (nvptx), PR target/100302 (AArch64),
      PR rtl-optimization/100254, PR debug/100255, PR rtl-optimization/100148,
      PR tree-optimization/91914, PR fortran/100274, PR c/100450,
      PR rtl-optimization/80960, PR tree-optimization/96513,
      PR tree-optimization/96597, PR tree-optimization/88240,
      PR tree-optimization/100566.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * Don't apply the arm-multilib-soft patch when building without
    armhf/armsf multilib packages.

 -- Matthias Klose <doko@debian.org>  Wed, 19 May 2021 10:20:17 +0200

gcc-9 (9.3.0-24ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Apr 2021 22:21:04 +0200

gcc-9 (9.3.0-24) experimental; urgency=medium

  * Update to git 20210422 from the gcc-9 branch.
    - Fix PR driver/47785, PR tree-optimization/99694, PR c/99224, PR lto/96591,
      PR tree-optimization/97009, PR tree-optimization/99856, PR ipa/99466,
      PR target/97329 (PPC), PR target/99704 (x86), PR target/99702 (RISCV),
      PR ipa/98078, PR tree-optimization/98758, PR tree-optimization/98282,
      PR tree-optimization/93964, PR fortran/99840, PR fortran/99688,
      PR fortran/99545, PR lto/96385, PR bootstrap/99983, PR libstdc++/99985,
      PR libstdc++/96029, PR libstdc++/96029, PR target/99767, PR lto/99849,
      PR rtl-optimization/99905, PR debug/99830, PR rtl-optimization/98601,
      PR rtl-optimization/99863, PR tree-optimization/99777, PR debug/99334,
      PR debug/99388, PR target/99542 (AArch64), PR middle-end/93235,
      PR tree-optimization/99225, PR tree-optimization/99204, PR ipa/99034,
      PR tree-optimization/99079, PR c++/99035, PR middle-end/99007,
      PR middle-end/97487, PR middle-end/97971, PR debug/98331,
      PR target/98853 (AArch64), PR target/98681 (AArch64), PR testsuite/97301,
      PR tree-optimization/90248, PR c++/98556, PR tree-optimization/98474,
      PR c++/98353, PR middle-end/98183, PR middle-end/98205, PR c/99324,
      PR target/98100, PR target/98063 (x86), PR debug/97599, PR c++/98187,
      PR rtl-optimization/97386, PR sanitizer/97294, PR c/99990, PR c/99588,
      PR c/99136, PR c/97958, PR c++/95468, PR c++/96282, PR c++/64194,
      PR c++/99833, PR c++/99790, PR c++/99745, PR c++/99650, PR c++/99613,
      PR c++/82959, PR c++/95451, PR sanitizer/99106, PR c++/99033,
      PR c++/97878, PR c++/33661, PR c++/98847, PR sanitizer/95693,
      PR c++/98672, PR c++/98187, PR c++/98072, PR c++/97663, PR d/98457,
      PR jit/100096, PR bootstrap/97163, PR sanitizer/100114,
      PR libstdc++/100180, PR libstdc++/99181, PR libstdc++/99181,
      PR libstdc++/90945, PR libstdc++/94854, PR libstdc++/99533,
      PR libstdc++/99536, PR libstdc++/82584, PR libstdc++/99805,
      PR libstdc++/97362, PR libstdc++/97570, PR libstdc++/98319,
      PR libstdc++/99077, PR libstdc++/99058.
  * Fix PR sanitizer/100114, taken from the trunk.
  * Starting with Ubuntu impish, don't build arm multilib packages.



=== debian/control ===
Source: gcc-9
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, gcc-10-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
  binutils:native (>= 2.33.1), binutils-hppa64-linux-gnu:native (>= 2.33.1) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-9:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], 
  dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
  pkg-config, libgc-dev, 
   g++-9-alpha-linux-gnu [alpha] <cross>, gobjc-9-alpha-linux-gnu [alpha] <cross>, gfortran-9-alpha-linux-gnu [alpha] <cross>, gdc-9-alpha-linux-gnu [alpha] <cross>, gccgo-9-alpha-linux-gnu [alpha] <cross>, gnat-9-alpha-linux-gnu [alpha] <cross>, gm2-9-alpha-linux-gnu [alpha] <cross>, g++-9-x86-64-linux-gnu [amd64] <cross>, gobjc-9-x86-64-linux-gnu [amd64] <cross>, gfortran-9-x86-64-linux-gnu [amd64] <cross>, gdc-9-x86-64-linux-gnu [amd64] <cross>, gccgo-9-x86-64-linux-gnu [amd64] <cross>, gnat-9-x86-64-linux-gnu [amd64] <cross>, gm2-9-x86-64-linux-gnu [amd64] <cross>, g++-9-arm-linux-gnueabi [armel] <cross>, gobjc-9-arm-linux-gnueabi [armel] <cross>, gfortran-9-arm-linux-gnueabi [armel] <cross>, gdc-9-arm-linux-gnueabi [armel] <cross>, gccgo-9-arm-linux-gnueabi [armel] <cross>, gnat-9-arm-linux-gnueabi [armel] <cross>, gm2-9-arm-linux-gnueabi [armel] <cross>, g++-9-arm-linux-gnueabihf [armhf] <cross>, gobjc-9-arm-linux-gnueabihf [armhf] <cross>, gfortran-9-arm-linux-gnueabihf [armhf] <cross>, gdc-9-arm-linux-gnueabihf [armhf] <cross>, gccgo-9-arm-linux-gnueabihf [armhf] <cross>, gnat-9-arm-linux-gnueabihf [armhf] <cross>, gm2-9-arm-linux-gnueabihf [armhf] <cross>, g++-9-aarch64-linux-gnu [arm64] <cross>, gobjc-9-aarch64-linux-gnu [arm64] <cross>, gfortran-9-aarch64-linux-gnu [arm64] <cross>, gdc-9-aarch64-linux-gnu [arm64] <cross>, gccgo-9-aarch64-linux-gnu [arm64] <cross>, gnat-9-aarch64-linux-gnu [arm64] <cross>, gm2-9-aarch64-linux-gnu [arm64] <cross>, g++-9-i686-linux-gnu [i386] <cross>, gobjc-9-i686-linux-gnu [i386] <cross>, gfortran-9-i686-linux-gnu [i386] <cross>, gdc-9-i686-linux-gnu [i386] <cross>, gccgo-9-i686-linux-gnu [i386] <cross>, gnat-9-i686-linux-gnu [i386] <cross>, gm2-9-i686-linux-gnu [i386] <cross>, g++-9-mipsel-linux-gnu [mipsel] <cross>, gobjc-9-mipsel-linux-gnu [mipsel] <cross>, gfortran-9-mipsel-linux-gnu [mipsel] <cross>, gdc-9-mipsel-linux-gnu [mipsel] <cross>, gccgo-9-mipsel-linux-gnu [mipsel] <cross>, gnat-9-mipsel-linux-gnu [mipsel] <cross>, gm2-9-mipsel-linux-gnu [mipsel] <cross>, g++-9-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-9-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-9-mips64-linux-gnuabi64 [mips64] <cross>, gdc-9-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-9-mips64-linux-gnuabi64 [mips64] <cross>, gnat-9-mips64-linux-gnuabi64 [mips64] <cross>, gm2-9-mips64-linux-gnuabi64 [mips64] <cross>, g++-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-9-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-9-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-9-powerpc-linux-gnu [powerpc] <cross>, gobjc-9-powerpc-linux-gnu [powerpc] <cross>, gfortran-9-powerpc-linux-gnu [powerpc] <cross>, gdc-9-powerpc-linux-gnu [powerpc] <cross>, gccgo-9-powerpc-linux-gnu [powerpc] <cross>, gnat-9-powerpc-linux-gnu [powerpc] <cross>, g++-9-powerpc64-linux-gnu [ppc64] <cross>, gobjc-9-powerpc64-linux-gnu [ppc64] <cross>, gfortran-9-powerpc64-linux-gnu [ppc64] <cross>, gdc-9-powerpc64-linux-gnu [ppc64] <cross>, gccgo-9-powerpc64-linux-gnu [ppc64] <cross>, gnat-9-powerpc64-linux-gnu [ppc64] <cross>, g++-9-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-9-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-9-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-9-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-9-powerpc64le-linux-gnu [ppc64el] <cross>, g++-9-m68k-linux-gnu [m68k] <cross>, gobjc-9-m68k-linux-gnu [m68k] <cross>, gfortran-9-m68k-linux-gnu [m68k] <cross>, gdc-9-m68k-linux-gnu [m68k] <cross>, gm2-9-m68k-linux-gnu [m68k] <cross>, g++-9-riscv64-linux-gnu [riscv64] <cross>, gobjc-9-riscv64-linux-gnu [riscv64] <cross>, gfortran-9-riscv64-linux-gnu [riscv64] <cross>, gdc-9-riscv64-linux-gnu [riscv64] <cross>, gccgo-9-riscv64-linux-gnu [riscv64] <cross>, gnat-9-riscv64-linux-gnu [riscv64] <cross>, gm2-9-riscv64-linux-gnu [riscv64] <cross>, g++-9-sh4-linux-gnu [sh4] <cross>, gobjc-9-sh4-linux-gnu [sh4] <cross>, gfortran-9-sh4-linux-gnu [sh4] <cross>, gnat-9-sh4-linux-gnu [sh4] <cross>, g++-9-sparc64-linux-gnu [sparc64] <cross>, gobjc-9-sparc64-linux-gnu [sparc64] <cross>, gfortran-9-sparc64-linux-gnu [sparc64] <cross>, gdc-9-sparc64-linux-gnu [sparc64] <cross>, gccgo-9-sparc64-linux-gnu [sparc64] <cross>, gnat-9-sparc64-linux-gnu [sparc64] <cross>, gm2-9-sparc64-linux-gnu [sparc64] <cross>, g++-9-s390x-linux-gnu [s390x] <cross>, gobjc-9-s390x-linux-gnu [s390x] <cross>, gfortran-9-s390x-linux-gnu [s390x] <cross>, gdc-9-s390x-linux-gnu [s390x] <cross>, gccgo-9-s390x-linux-gnu [s390x] <cross>, gnat-9-s390x-linux-gnu [s390x] <cross>, gm2-9-s390x-linux-gnu [s390x] <cross>, g++-9-x86-64-linux-gnux32 [x32] <cross>, gobjc-9-x86-64-linux-gnux32 [x32] <cross>, gfortran-9-x86-64-linux-gnux32 [x32] <cross>, gdc-9-x86-64-linux-gnux32 [x32] <cross>, gccgo-9-x86-64-linux-gnux32 [x32] <cross>, gnat-9-x86-64-linux-gnux32 [x32] <cross>, gm2-9-x86-64-linux-gnux32 [x32] <cross>, g++-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-9-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-9-debian
XS-Testsuite: autopkgtest

Package: gcc-9-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-9-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-9-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

default: build

include debian/rules.defs
include debian/rules.unpack
include debian/rules.patch

control: $(control_dependencies)
	-mkdir -p $(stampdir)
	$(MAKE) -f debian/rules.conf $@

configure: control $(unpack_stamp) $(patch_stamp)
	$(MAKE) -f debian/rules2 $@

pre-build:
#ifneq (,$(filter $(distrelease),squeeze sid))
#ifeq (,$(filter $(DEB_TARGET_ARCH),amd64 i386))
#	@echo explicitely fail the build for $(DEB_TARGET_ARCH)
#	@echo no bug report required. please ask the port maintainers if they support gcc-4.5.
#	false
#endif
#endif

build: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-arch: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-indep: pre-build control
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) $(NJOBS) -f debian/rules2 $@

check: $(check_stamp)
$(check_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@

clean:
	rm -rf $(stampdir)
# remove temporary dirs used for unpacking
	rm -rf $(gcc_srcdir) $(gdc_srcdir) $(nl_nvptx_srcdir)
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir)* $(builddir)* debian/tmp* html
	rm -f bootstrap-* first-move-stamp
	rm -f debian/*.tmp
	rm -f debian/soname-cache
	find debian -name '.#*' | xargs -r rm -f
	rm -f $(series_file)*
	rm -rf .pc
	dh_clean

install:
	$(MAKE) -f debian/rules2 $@

html-docs doxygen-docs update-doxygen-docs update-ada-files xxx:
	$(MAKE) -f debian/rules2 $@

binary-arch binary:
	$(MAKE) -f debian/rules2 $@

binary-indep:
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) -f debian/rules2 $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

release:
	foo=$(shell basename $(CURDIR)); \
		if [ "$$foo" != "gcc-3.4" ]; then \
			find -name CVS -o -name .cvsignore -o -name '.#*' | \
				xargs rm -rf; \
		fi

.NOTPARALLEL:
.PHONY: build clean binary-indep binary-arch binary release

=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

Tests: libc-link
Depends: gcc-9, libc6-dev | libc-dev

Tests: libstdcxx-link
Depends: g++-9

Tests: libgfortran-link
Depends: gfortran-9

Tests: libgo-link
Depends: gccgo-9

Tests: libgomp-link
Depends: gfortran-9, gcc-9

Tests: libgnat-link
Depends: gnat-9

Tests: shlib-build
Depends: gcc-9, libc6-dev | libc-dev

## gcc-9 9.5.0

=== debian/changelog ===
gcc-9 (9.5.0-6ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:03:47 +0000

gcc-9 (9.5.0-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2024 09:57:02 +0100

gcc-9 (9.5.0-6) unstable; urgency=medium

  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * Address stack protector and stack clash protection weaknesses
    on AArch64. CVE-2023-4039.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 09:50:53 +0100

gcc-9 (9.5.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 15:17:17 +0100

gcc-9 (9.5.0-5) unstable; urgency=medium

  * Allow the gccgo-link test to fail on armhf.
  * Remove references to obsolete dpkg m32r and tilegx archs. Closes: #1056765.
  * Don't run the tests with -fstack-protector/-fno-stack-protector on slower
    architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Feb 2024 14:48:22 +0100

gcc-9 (9.5.0-4ubuntu2) mantic; urgency=medium

  * Allow the gccgo-link test to fail on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2023 15:16:38 +0200

gcc-9 (9.5.0-4) unstable; urgency=medium

  * libgccjit-9-doc: Relax dependency on the gcc-9-base package.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 16:32:40 +0200

gcc-9 (9.5.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:47:45 +0100

gcc-9 (9.5.0-3) unstable; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 06:25:40 +0100

gcc-9 (9.5.0-2ubuntu1) lunar; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 18:58:49 +0100

gcc-9 (9.5.0-2) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2022 12:24:23 +0200

gcc-9 (9.5.0-1ubuntu3) kinetic; urgency=medium

  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 23 Aug 2022 16:06:37 +1200

gcc-9 (9.5.0-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest glibc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 13 Aug 2022 23:35:39 -0400

gcc-9 (9.5.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2022 13:00:46 +0200

gcc-9 (9.5.0-1) unstable; urgency=medium

  * GCC 9.5.0 release.
  * Refresh patches.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 10:59:32 +0200

gcc-9 (9.4.0-5ubuntu1) jammy; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 15:06:51 +0100

gcc-9 (9.4.0-5) unstable; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/100985,
      PR target/102347, PR ipa/103267, PR ipa/103052, PR target/101985,
      PR fortran/104127, PR fortran/104227, PR fortran/103782,
      PR fortran/103588, PR fortran/103610, PR fortran/103606,
      PR fortran/103717, PR fortran/103607, PR fortran/103392,
      PR libfortran/103634, PR d/103604, PR sanitizer/102911,
      PR libstdc++/103381.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Feb 2022 14:49:31 +0100

gcc-9 (9.4.0-4ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 20:53:03 +0100

gcc-9 (9.4.0-4) unstable; urgency=medium

  * Update to git 20211117 from the gcc-9 branch.
    - Fix PR middle-end/100672, PR tree-optimization/101373,
      PR tree-optimization/101868, PR middle-end/101824,
      PR tree-optimization/102789, PR target/98667, PR tree-optimization/101173,
      PR tree-optimization/101280, PR tree-optimization/101394,
      PR tree-optimization/101105, PR tree-optimization/100934,
      PR middle-end/100509, PR tree-optimization/102622,
      PR rtl-optimization/102306, PR d/102574, PR fortran/101327,
      PR fortran/98490, PR fortran/82314, PR fortran/85130,
      PR fortran/102287, PR fortran/97612, PR fortran/98565,
      PR fortran/93701, PR fortran/98472, PR fortran/100110,
      PR libstdc++/103022, PR libstdc++/102425, PR libstdc++/102667.
  * Move libtsan_preinit.o into libgcc-9-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:24:03 +0100

gcc-9 (9.4.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 18:14:49 +0200

gcc-9 (9.4.0-3) unstable; urgency=medium

  * Update to git 20210909 from the gcc-9 branch.
    - Fix  PR c++/60318, PR target/101471 (x86), PR target/101723 (ARM),
      PR target/100767 (ARM), PR fortran/46691, PR fortran/99819,
      PR fortran/99125, PR fortran/93924, PR fortran/93925, PR fortran/93794.
  * Remove trailing spaces in symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 14:21:20 +0200

gcc-9 (9.4.0-2) unstable; urgency=medium

  * Update to git 20210814 from the gcc-9 branch.
    - Fix PR target/94780 (MIPS), PR target/100182 (x86),
      PR target/101129 (PPC), PR rtl-optimization/99927, PR target/101175 (x86),


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gcc-9
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
-  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
+Standards-Version: 4.6.2
+Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
+  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
-  m4, libtool, autoconf, gcc-10-base, 
+  m4, libtool, autoconf2.69, gcc-10-base, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
   zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
@@ -16,7 +16,7 @@
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-9:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
+  procps, gnat-9:native [!sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev, 
@@ -47,3 +47,4 @@
 Recommends: ${dep:libcdev}
 Depends: gcc-9-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
  ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
+ ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv},

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Depends: gfortran-9
 
 Tests: libgo-link
+Restrictions: skippable, allow-stderr
 Depends: gccgo-9
 
 Tests: libgomp-link

=== debian/watch ===
version=4
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(9\.[\d\.]*)/ \
        gcc-([\d\.]+)\.tar\.xz debian uupdate
